-- Unmoving plaid by using transparency

local lg = love.graphics

local frame1
local frame2
local plaid
local canvas

function love.load(args)
  frame1 = lg.newImage('using-alpha/frame1.png')
  frame2 = lg.newImage('using-alpha/frame2.png')
  plaid = lg.newImage('plaid.png')

  -- Fill the canvas with copies of the plaid
  canvas = lg.newCanvas()
  lg.setCanvas(canvas)
  for y = 1, canvas:getHeight()-1, plaid:getHeight() do
    for x = 1, canvas:getWidth()-1, plaid:getWidth() do
      lg.draw(plaid, x, y)
    end
  end
  lg.setCanvas()
end

local timer = 0

function love.update(dt)
  timer = timer + dt
  if timer >= 1 then timer = timer - 1 end
end


function love.draw()
  lg.draw(canvas)
  if timer < 0.5 then lg.draw(frame1) else lg.draw(frame2) end
end
